<?php
if( !defined( 'ADMIN_PAGE' ) )
  exit( 'producers plugin by OpenSolution.org' );

require_once DIR_CORE.'producers-admin.php';

$aSelectMenu['bProducts'] = true;
require_once DIR_TEMPLATES.'admin/_header.php'; // include headers
require_once DIR_TEMPLATES.'admin/_menu.php'; // include menu

if( isset( $sOption ) ){
  echo '<div id="msg">'.$lang['Operation_completed'].'</div>';
}
?>
<h1><?php echo $lang['Producers']; ?><a href="<?php echo $config['manual_link']; ?>plugins#1.12" title="<?php echo $lang['Manual']; ?>" target="_blank"></a></h1>
<form action="" method="get" id="search" onsubmit="return false;">
  <fieldset>
    <input type="text" name="sPhrase" value="<?php echo $lang['search']; ?>" class="input" size="50" onkeyup="listTableSearch( this, 'list', 1 )" onfocus="if(this.value=='<?php echo $lang['search']; ?>')this.value=''" />
  </fieldset>
</form>
<script type="text/javascript">
  AddOnload( function(){ gEBI( 'search' ).sPhrase.focus( ); } );
</script>
<?php
// get list of producers
$sProducersList = listProducers( );

// display producers in the table list
if( isset( $sProducersList ) ){
  ?>
  <table id="list" class="producers" cellspacing="1">
    <thead>
      <tr>
        <td class="id"><?php echo $lang['Id']; ?></td>
        <td class="name"><?php echo $lang['Name']; ?></td>
        <td class="position"><?php echo $lang['Position']; ?></td>
        <td class="options">&nbsp;</td>
      </tr>
    </thead>
    <tbody>
      <?php echo $sProducersList; ?>
    </tbody>
  </table>
  <?php
}
else{
  echo '<div id="msg" class="error">'.$lang['Data_not_found'].'</div>';
}

require_once DIR_TEMPLATES.'admin/_footer.php'; // include footer
?>