<?php
/**
* Return producer data
* @return array
* @param int  $iProducer
*/
function throwProducer( $iProducer ){
  $oFFS = FlatFilesSerialize::getInstance( );
  $aProducers = $oFFS->getData( DB_PRODUCERS, true );
  if( isset( $aProducers[$iProducer] ) ){
    return $aProducers[$iProducer];
  }
} // end function throwProducer

/**
* Return producers select
* @return string
* @param int  $iProducer
*/
function throwProducersSelect( $iProducer ){
  $oFFS = FlatFilesSerialize::getInstance( );
  return $oFFS->throwDataSelect( DB_PRODUCERS, 'iProducer', $iProducer, 'iProducer', 'sName' );
} // end function throwProducersSelect

/**
* Return producers
* @return array
*/
function throwProducers( ){
  $oFFS = FlatFilesSerialize::getInstance( );
  $aProducers = $oFFS->getData( DB_PRODUCERS, true );
  if( isset( $aProducers ) && is_array( $aProducers ) && count( $aProducers ) > 0 ){
    return $aProducers;
  }
} // end function throwProducers
?>