<?php
if( !defined( 'ADMIN_PAGE' ) )
  exit( 'producers plugin by OpenSolution.org' );

require_once DIR_CORE.'producers-admin.php';

if( isset( $_POST['sName'] ) ){
  $iProducer = saveProducer( $_POST );
  if( isset( $_POST['sOptionList'] ) )
    header( 'Location: '.$_SERVER['PHP_SELF'].'?p=producers-list&sOption=save' );
  else
    header( 'Location: '.$_SERVER['PHP_SELF'].'?p=producers-form&sOption=save&iProducer='.$iProducer );
  exit;
}

if( isset( $iProducer ) && is_numeric( $iProducer ) ){
  $aData = throwProducer( $iProducer );
}

if( !isset( $aData['iProducer'] ) )
  $aData['iProducer'] = null;

$aSelectMenu['bProducts'] = true;
require_once DIR_TEMPLATES.'admin/_header.php'; // include headers
require_once DIR_TEMPLATES.'admin/_menu.php'; // include menu

if( isset( $sOption ) ){
  echo '<div id="msg">'.$lang['Operation_completed'].'</div>';
}
?>
<h1><img src="<?php echo $config['dir_templates']; ?>admin/img/ico_products.gif" alt="<?php echo $lang['Producers_form']; ?>" /><?php echo ( isset( $_GET['iProducer'] ) && is_numeric( $_GET['iProducer'] ) ) ? $lang['Producers_form'] : $lang['New_producer']; ?><a href="<?php echo $config['manual_link']; ?>plugins#1.12" title="<?php echo $lang['Manual']; ?>" target="_blank"></a></h1>

<form action="?p=<?php echo $p; ?>" method="post" id="mainForm">
  <fieldset id="type2">
    <input type="hidden" name="iProducer" value="<?php echo $aData['iProducer']; ?>" />
    <table cellspacing="1" class="mainTable" id="feature">
      <thead>
        <tr class="save">
          <th colspan="2">
            <input type="submit" value="<?php echo $lang['save_list']; ?> &raquo;" name="sOptionList" />
            <input type="submit" value="<?php echo $lang['save']; ?> &raquo;" name="sOption" />
          </th>
        </tr>
      </thead>
      <tfoot>
        <tr class="save">
          <th colspan="2">
            <input type="submit" value="<?php echo $lang['save_list']; ?> &raquo;" name="sOptionList" />
            <input type="submit" value="<?php echo $lang['save']; ?> &raquo;" name="sOption" />
          </th>
        </tr>
      </tfoot>
      <tbody>
        <tr class="l0">
          <th><label for="sName"><?php echo $lang['Name']; ?> <span>(<?php echo $lang['required']; ?>)</span></label></th>
          <td><input type="text" name="sName" id="sName" value="<?php if( isset( $aData['sName'] ) ) echo $aData['sName']; ?>" size="80" maxlength="50" class="input" data-form-check="required" /></td>
        </tr>
        <tr class="l1">
          <th><?php echo $lang['Position']; ?></th>
          <td><input type="text" name="iPosition" value="<?php echo isset( $aData['iPosition'] ) ? $aData['iPosition'] : 0; ?>" size="3" maxlength="3" class="input" /></td>
        </tr>
      </tbody>
    </table>
  </fieldset>
</form>
<script>
  $(function(){ $( "#mainForm" ).quickform(); });
</script>
<?php
require_once DIR_TEMPLATES.'admin/_footer.php'; // include footer
?>